#!/bin/ksh -v

# @01 10/21/2004 LCL CASP over CCC loses kblenv and kbrenv

# eBP Post product-laydown/pre-config script

# Usage: eBP_PreConfig <CandleHome> <platform>

if [ $# -ne 2 ]
then
  print "Usage: $0 <CANDLEHOME> <platform>" >&2
  exit 1
fi

if [ $(print "$1" | wc -w) -gt 1 ]
then
#$NLS-E$   "Blanks are not permitted in CANDLEHOME"
  nls_replace 'KCI0001E' 'CANDLEHOME' >&2
  exit 1
fi

# start from RomaHome ( CandleHome )
cd $1

OLD_ROMA_PLAT="$2"

case "$2" in
  aix433) OLD_ROMA_PLAT="aix42";;
  sol273) OLD_ROMA_PLAT="sol26";;
esac

BACKUP="
$1/config/.ConfigData/kbrenv
$1/config/.ConfigData/kbrenv.def
$1/config/.ConfigData/kblenv
$1/config/.ConfigData/kblenv.def"

for file in $BACKUP; do
  cp -f $file $file.bak > /dev/null 2>&1
done

# delete any non-eBP license files
rm -f $1/license.txt 2> /dev/null
rm -f $1/mqterms.agr 2> /dev/null

# delete any obsolete eBP files
rmList=$1/misc/eBP_obsolete.$OLD_ROMA_PLAT
while read file
do
  file=${file%% *}	# strip comments after filename
  file=${file%%	*}
  if [[ -n "$file" && -f "$file" ]]
  then
    rm -f $file 2> /dev/null
  fi
done < $rmList
