#!/bin/ksh

#################################################################
#             (C) COPYRIGHT Candle Corporation 1998             #
#                      All Rights Reserved                      #
#                                                               #
#       Licensed Materials - Property of Candle Corporation     #
#         Duplication or disclosure prohibited without the      #
#        expressed written consent of the Candle Corporation.   #
#                                                               #
#################################################################
bindir=`pwd`/$(dirname $0)
[ "$(print $0 | grep '\./')" = "" ] && [ "$(print $0 | grep '^/.*')" = "" ] && [ `pwd` = '/' ] && bindir=`pwd`$(dirname $0)
[ "$(print $0 | grep '^/.*')" != "" ] && bindir=$(dirname $0)

export TEXTDOMAINDIR=$bindir/../config/nls/msg
export PATH=$bindir:$PATH

export PATH=/usr/bin:$PATH
print $1
print $2
print $3
print $4
print $5
CANDLEHOME1=$6
print $CANDLEHOME1

if [ $1 = "security" ]
then
TEMSNAME=$7
print $TEMSNAME
  if [ $# -ne 7 ]
  then
    print "Usage: $0 security geometryWidth geometryHeight geometryXoff geometryYoff CANDLEHOME TEMSNAME" >&2
    exit 1
  fi
else
  if [ $# -ne 6 ]
  then
    print "Usage: $0 action geometryWidth geometryHeight geometryXoff geometryYoff CANDLEHOME" >&2
    exit 1
  fi
fi

if [ $(print "$6" | wc -w) -ne 1 ]
then
#$NLS-E$ "Blanks are not permitted in CANDLEHOME" 
  nls_replace 'KCI0001E' 'CANDLEHOME' >&2
  exit 1
fi

if [ $1 = "orconfig" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Configure Oracle Agent\" -e $CANDLEHOME1/bin/CandleDBConfig -h $CANDLEHOME1 or"
fi

if [ $1 = "orstart" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Start Oracle Agent\" -e nohup $CANDLEHOME1/bin/CandleDBAgent -h $CANDLEHOME1 start or"
fi

if [ $1 = "orstop" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Stop Oracle\" -e $CANDLEHOME1/bin/CandleDBAgent -h $CANDLEHOME1 stop or"
fi

if [ $1 = "oxconfig" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Configure Informix Agent\" -e $CANDLEHOME1/bin/CandleDBConfig -h $CANDLEHOME1 ox"
fi

if [ $1 = "oxstart" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Start Informix Agent\" -e $CANDLEHOME1/bin/CandleDBAgent -h $CANDLEHOME1 start ox"
fi

if [ $1 = "oxstop" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Stop Informix\" -e $CANDLEHOME1/bin/CandleDBAgent -h $CANDLEHOME1 stop ox"
fi

if [ $1 = "oyconfig" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Configure Sybase Agent\" -e $CANDLEHOME1/bin/CandleDBConfig -h $CANDLEHOME1 oy"
fi

if [ $1 = "oystart" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Start Sybase Agent\" -e nohup $CANDLEHOME1/bin/CandleDBAgent -h $CANDLEHOME1 start oy"
fi

if [ $1 = "oystop" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Stop Sybase\" -e $CANDLEHOME1/bin/CandleDBAgent -h $CANDLEHOME1 stop oy"
fi

if [ $1 = "plconfig" ]
then
cd $CANDLEHOME1/bin
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Configure Candle Light\" -e $CANDLEHOME1/bin/setenviro"
fi

if [ $1 = "saconfig" ]
then
   grep "^BINARCH" $CANDLEHOME1/config/kuxenv > env_$$$
   IFS="'"
   read key Arch blank < env_$$$
   rm env_$$$
   cd $CANDLEHOME1/$Arch/sa/bin
   command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Configure mySAP\" -e $CANDLEHOME1/bin/start_r3config"
fi

if [ $1 = "setperm" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Set Agent Permissions\" -e $CANDLEHOME1/bin/setagentperm -h $CANDLEHOME1"
fi

if [ $1 = "umconsole" ]
then
cd $CANDLEHOME1/bin
export CANDLEHOME=$CANDLEHOME1
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Universal Agent Console Interface\" -e $CANDLEHOME1/bin/um_console"
fi

if [ $1 = "textedit" ]
then
editor=$(which $6);
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Edit $7\" -e $editor $7"
fi

#NOTE $CANDLEHOME1 is really the command to run in this case.

if [ $1 = "unsetroot" ]
then
CANUSER=$7
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Unset Root Permissions\" -e /usr/bin/su root -c '$CANDLEHOME1/bin/UnSetRoot -h $CANDLEHOME $CANUSER'"
fi

if [ $1 = "security" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Set TEMS User Authentication\" -e $CANDLEHOME1/bin/settemsperm -h $CANDLEHOME1 -t $TEMSNAME"
fi

if [ $1 = "updateAuto" ]
then
command="xterm -ls -sb -geometry $2x$3+$4+$5 -title \"Update Auto Restart Script\" -e $CANDLEHOME1/bin/settemsperm -h $CANDLEHOME"
fi



print $command
eval $command
