#!/bin/ksh

#################################################################
#             (C) COPYRIGHT Candle Corporation 1998             #
#                      All Rights Reserved                      #
#                                                               #
#       Licensed Materials - Property of Candle Corporation     #
#         Duplication or disclosure prohibited without the      #
#        expressed written consent of the Candle Corporation.   #
#                                                               #
#################################################################
bindir=`pwd`/$(dirname $0)
[ "$(print $0 | grep '\./')" = "" ] && [ "$(print $0 | grep '^/.*')" = "" ] && [ `pwd` = '/' ] && bindir=`pwd`$(dirname $0)
[ "$(print $0 | grep '^/.*')" != "" ] && bindir=$(dirname $0)

export TEXTDOMAINDIR=$bindir/../config/nls/msg
export PATH=$bindir:$PATH

export PATH=/usr/bin:$PATH
CANDLEHOME1=$1

export CANDLEHOME=$CANDLEHOME1

if [ -z "$CANDLEHOME" ]
then
  #$NLS-E$ "CANDLEHOME not specified"
  Err_report fail "`nls_replace 'KCI0005E' CANDLEHOME`"
fi

if [ $(print "$CANDLEHOME" | wc -w) -ne 1 ]
then
  #$NLS-E$ "Blanks are not permitted in CANDLEHOME" >&2
  nls_replace 'KCI0001E' 'CANDLEHOME' > &2
  exit 1
fi

print "CANDLEHOME=" $1

CurRegPath=$CANDLEHOME1/registry
ArchTbl=$CurRegPath/archdsc.tbl
DynShl=$CANDLEHOME1/bin/dynarch.shl
. $DynShl $ArchTbl
print "cArch = " $cArch
setJavaEnv $cArch
#$NLS-E$ "now JREEXE = "
print "`nls_replace 'KCI0113I'` JREEXE = " $JREEXE
print "CLASSPATH = " $CLASSPATH

USERDIR_CCP=$HOME/.commandpro

if [ ! -d "$USERDIR_CCP" ]
then
   mkdir $HOME/.commandpro
fi

. "$CANDLEHOME1/config/cz.config"

CP="$CANDLEHOME1/ccp/cz"
export CLASSPATH=$CP/kpl.jar:$CP/kpx.jar:$CP/aelfred.jar:$CP/kjr100J.jar:$CP/jgl.jar:$CP/classes111.zip:$CP/JClass362J.jar:$CP/Gauges130J.jar:$CP/Report200J.jar:$CP/swing.jar:$CP/motif.jar:$CP/lax.jar:${CLASSPATH}
print $CLASSPATH

export KBB_SIG1="-dumpoff -asyncoff -syncoff"

cd $CP

#java CommandPro -u$USERDIR_CCP -pkmp

# for R3
#$JREEXE -mx32m ITMinstall.CommandPro -u$USERDIR_CCP -pkp3
# for Sparticus
$JREEXE -mx32m ITMinstall.CommandPro -u$USERDIR_CCP -pkpw
