#!/bin/ksh
#
# ****************************************************************************
# * Licensed Materials - Property of IBM
# * 
# * OCO Source Materials - IBM Confidential
# * 5724-C04
# *
# * Copyright IBM Corporation 2007-2013 All Rights Reserved
# *
# * The source code for this program is not published or other-
# * wise divested of its trade secrets, irrespective of what has
# * been deposited with the U.S. Copyright Office.
# *****************************************************************************
#

ITMHOME=$1
PKGLOC=$2
SYSARCH=$3

[[ ! -d "$ITMHOME" ]] && echo "Invalid ITM installation directory" && exit 1
[[ ! -d "$PKGLOC/GSKit" ]] && echo "GSKit subdirectory not found on installation media" && exit 1
[[ -z "$SYSARCH" ]] && echo "System architecture is required" && exit 1

cd $ITMHOME

rm -f $ITMHOME/tmp/gs*ver

# get architecture prefix eg. lx aix sol
os=${SYSARCH%%+([0-9])}

pkgs="$PKGLOC/GSKit/gs$os*ctp"
[[ "$os" = "lx" ]] && pkgs="$PKGLOC/GSKit/gs$os*ctp $PKGLOC/GSKit/gsli*ctp"

files=$(ls $pkgs 2>/dev/null)
if [[ -n "$files" ]];
then
  for file in `ls $pkgs 2>/dev/null`
  do
    pkgName=$(basename $file .ctp)
    zcat < $file | tar -xf - tmp/${pkgName}.ver
  done
fi

